# Sliced Invoices - WordPress Invoice Plugin

Contributors: SlicedInvoices  
Donate link: http://slicedinvoices.com/  
Tags: invoice, invoicing, invioce, pdf invoice, quote, pdf quote, estimate, pdf estimate, billing, bills, paypal, bill clients, invoice clients, email invoice, invoice online, recurring invoice, recurring billing, invoice generator, invoice system, accounting, ecommerce  
Requires at least: 4.0  
Tested up to: 4.7
Stable tag: 3.2.0
License: GPLv2 or later  
License URI: http://www.gnu.org/licenses/gpl-2.0.html  

A WordPress invoicing plugin for creating invoices and quotes. Online payments, manage clients, reports, exports, taxes & more.

## Description
### A flexible, well-supported, and easy-to-use WordPress invoicing plugin to create professional quotes and invoices that clients can pay for online.

Sliced Invoices is an invoicing system that is easy to use but at the same time comes packed with features to help make your quoting and invoicing a breeze.

### Sliced Invoices - General Features

*   Auto increment of Invoice &amp; Quote numbers
*   Set custom Invoice &amp; Quote prefixes
*   Pre-defined line items
*   Flexible tax settings (global, per Invoice/Quote or per line item)
*   Customizable email templates including subject and content
*   Custom email from name and email address
*   Bcc yourself into all client emails
*   Send clients emails at the click of a button
*   Send clients automatic payment reminder emails
*   Clone existing Quotes &amp; Invoices
*   3 customizable Invoice & Quote templates
*	Customize templates using CSS
*	Add your logo and business details to Invoices & Quotes
*   Bulk CSV import of Quotes &amp; Invoices
*   Lots of filters, actions and template tags
*   Support for WordPress Multisite (network activated)

### Invoices - Key Features

*   Online Invoice payments with PayPal Express Checkout (or paid Stripe extension)
*   Offline payment methods (Bank, check, money order or anything else)
*   Name Invoices whatever you like (such as Bills, Tax Invoice or anything else)
*   Set default due date (x number of days from Invoice date)
*   Set custom Terms & Conditions for Invoices
*   Invoice reporting
*   Export Invoices to CSV
*   Invoice in any currency

### Quotes - Key Features

*   Commenting system for Quotes
*   Clients can accept or decline Quotes
*   Convert Quotes to Invoices with one click
*   Name Quotes whatever you like (such as Estimate or anything else)
*   Set custom Terms & Conditions for Quotes
*   Quote reporting
*   Export Quotes to CSV
*   Quote in any currency


Sliced Invoices is a feature-packed and flexible invoicing system for WordPress, check out how easy it is to add an invoice in this **very quick 45 second video**.

https://www.youtube.com/watch?v=9V6VRidkZFk

### Sliced Invoices - Free & Paid Extensions

*   [PDF quotes & PDF invoices](https://slicedinvoices.com/extensions/pdf-email/?utm_source=WordPress&utm_medium=Readme&utm_content=PDF-Email&utm_campaign=Free) extension
*	[Client Area](https://slicedinvoices.com/extensions/client-area/?utm_source=WordPress&utm_medium=Readme&utm_content=Client-Area&utm_campaign=Free) extension
*   [Gravity Forms extension](https://wordpress.org/plugins/sliced-invoices-gravity-forms/) (free)
*   [Contact Form 7 extension](https://wordpress.org/plugins/sliced-invoices-contact-form-7/) (free)
*   [2Checkout Payment Gateway](https://slicedinvoices.com/extensions/2checkout-payment-gateway/?utm_source=WordPress&utm_medium=Readme&utm_content=2Checkout&utm_campaign=Free)
*   [Braintree Payment Gateway](https://slicedinvoices.com/extensions/braintree-payment-gateway/?utm_source=WordPress&utm_medium=Readme&utm_content=Braintree&utm_campaign=Free)
*   [Stripe Payment Gateway](https://slicedinvoices.com/extensions/stripe-payment-gateway/?utm_source=WordPress&utm_medium=Readme&utm_content=Stripe&utm_campaign=Free)
*   [Better URL's](https://slicedinvoices.com/extensions/better-urls/?utm_source=WordPress&utm_medium=Readme&utm_content=Better-URLs&utm_campaign=Free) extension (free)
*   [Recurring invoices](https://slicedinvoices.com/extensions/recurring-invoices/?utm_source=WordPress&utm_medium=Readme&utm_content=Recurring-Invoices&utm_campaign=Free) extension
*   [Deposit invoices](https://slicedinvoices.com/extensions/deposit-invoices/?utm_source=WordPress&utm_medium=Readme&utm_content=Deposit-Invoices&utm_campaign=Free) extension
* 	Plus many more available [here](https://slicedinvoices.com/extensions/?utm_source=WordPress&utm_medium=Readme&utm_content=Extensions&utm_campaign=Free)

Our support is fantastic (check out the [reviews](https://wordpress.org/support/plugin/sliced-invoices/reviews/)) and if you need a feature that you can't see, just ask and we will see if we can add it for a future release.

> <strong>Visit our website to find out more</strong>
>
> [Features](https://slicedinvoices.com/plugin-features/?utm_source=WordPress&utm_medium=Readme&utm_content=Features&utm_campaign=Free) | [Getting Started](https://slicedinvoices.com/support/getting-started/?utm_source=WordPress&utm_medium=Readme-FAQ&utm_content=Support&utm_campaign=Free) | [Extensions](https://slicedinvoices.com/extensions/?utm_source=WordPress&utm_medium=Readme&utm_content=Extensions&utm_campaign=Free) | [Bundles](https://slicedinvoices.com/bundles/?utm_source=WordPress&utm_medium=Readme&utm_content=Bundles&utm_campaign=Free) | [Try The Demo](https://slicedinvoices.com/demo/wp-admin/) | [FAQ](https://wordpress.org/plugins/sliced-invoices/faq/)

## Installation
1. Upload plugin to the `/wp-content/plugins/` directory
1. Activate the plugin through the 'Plugins' menu in WordPress
1. Go to Sliced Invoices --> General and fill in the details under each section before adding any quotes and invoices


## Frequently Asked Questions

### Is there a demo available?

A demo of the plugin, including all extensions, is [available here](https://slicedinvoices.com/demo/wp-admin/?utm_source=WordPress&utm_medium=Readme&utm_content=Demo&utm_campaign=Free).

### Where can I find documentation?

There is full documentation as well as a Getting Started guide at [our website](https://slicedinvoices.com/support/?utm_source=WordPress&utm_medium=Readme-FAQ&utm_content=Support&utm_campaign=Free)

### Can I customize invoice and quote templates?

Yes, you can have full control over the look of the invoices and quotes by using CSS or creating your own template, which is much the same as creating a page or post template. Or you can simply use one of the 3 inbuilt templates. Read more about how to customize the templates in [this guide](https://slicedinvoices.com/support/quote-invoice-templates/?utm_source=WordPress&utm_medium=Readme-FAQ&utm_content=Support&utm_campaign=Free)

### Can clients create quote requests?

Yes, you can use either one of our free extensions for this. We have a [Gravity Forms extension](https://wordpress.org/plugins/sliced-invoices-gravity-forms/) and a [Contact Form 7 extension](https://wordpress.org/plugins/sliced-invoices-contact-form-7/) available which allow you to easily set up a form on your website to create quotes automatically.

### Can clients pay for their invoices online?

Yes, your clients can pay online using PayPal, meaning that they can pay with their PayPal account or with their credit card. There is also a [Stripe Extension](https://slicedinvoices.com/extensions/stripe-payment-gateway/?utm_source=WordPress&utm_medium=Readme-FAQ&utm_content=Stripe&utm_campaign=Free) available and more payment gateways will be available soon.

### Can clients see a list of all their invoices and quotes?

Yes, there is a new extension available that gives clients a full dashboard to view thier invoices and quotes as well as update their business details - [Client Area Extension](https://slicedinvoices.com/extensions/client-area/?utm_source=WordPress&utm_medium=Readme-FAQ&utm_content=Client-Area&utm_campaign=Free).

### I need XYZ feature, can Sliced Invoices do this?

Just ask! If you need a specific feature or you are unsure if Sliced Invoices can do it, simply email us at support(at)slicedinvoices.com and we will see if we can add the feature.

### Can I create PDF invoices and PDF quotes?

Yes, there is a PDF extension available to do just that (as well as other things like sending emails direct to clients). The [PDF & Email Extension](https://slicedinvoices.com/extensions/pdf-email/?utm_source=WordPress&utm_medium=Readme-FAQ&utm_content=PDF-Email&utm_campaign=Free) will add a 'Print PDF' button to the admin area and also to the top of the invoice, allowing your client to easily print the invoice to PDF.

### Are recurring and part payment invoices supported?

Yes they are, but these are premium extensions that are available in the [extension marketplace](https://slicedinvoices.com/extensions/pdf-email/?utm_source=WordPress&utm_medium=Readme-FAQ&utm_content=Extensions&utm_campaign=Free)

### Can I call Invoices and Quotes something else

Yes, Invoices and quotes are called many different things in different parts of the world which is why we have made it easy to label your invoice or quote as anything you like.

Invoices could be renamed to Tax Invoice, Bill, Sale, Account, Statement or whatever else you desire.
Quotes could be renamed to Estimate, Proposal, Tender, Bid or anything else.

### Does Sliced Invoices work with WordPress multisite?

Yes, it does!  As of version 3.0.0 you can network activate Sliced Invoices in WP Multisite.


## Screenshots
1. Example invoice using Template 1. There are 3 invoice templates and you can also style using CSS or create your own template
2. Reports page for quotes and invoices
3. List of invoices (shows the quick edit option)
4. Editing a quote
5. Business settings page
6. Invoices settings page
7. Translate settings page
8. Payments settings page
9. General settings page


## Changelog
##  3.2.0
* NEW: new automatic actions to choose from when client accepts quote
* NEW: ability to edit clients directly from Edit Quote / Edit Invoice screens
* UPDATE: Add $type to filter sliced_email_attachment
* UPDATE: Update .pot file for future translations

##  3.1.3
* FIX: issue with Woo Invoices showing incorrect total in payment confirmation email

##  3.1.2
* FIX: issue with Woo Invoices tax and shipping not being charged through PayPal
* FIX: issue with template hooks not being loaded for emails sent via AJAX (i.e. from admin area)

##  3.1.1
* FIX: issue with tax calculation when using comma as decimal separator
* UPDATE: Minor CSS update (add class 'sliced_form_field_required')

##  3.1.0
* NEW: better streamlined payment process (removed payment popup and 2nd "Pay Now" button -- payment buttons now go straight to the payment page)
* UPDATE: change PayPal gateway to allow guest checkout without PayPal account
* UPDATE: increase max length of Tax name field from 10 to 100 characters
* UPDATE: set 'show_admin_bar_front' default to false for new clients created
* UPDATE: Minor textual update
* FIX: fix issue with filter 'sliced_invoice_totals_output' not being applied

##  3.0.1
* FIX: bug with email sending when admin BCC option is on
* UPDATE: Compatibility update with PDF & Emails Extension v1.3.0
* UPDATE: Minor CSS update (add class 'sliced-business-logo')
* UPDATE: Minor textual update, code cleanup

##  3.0.0
* NEW: WordPress Multisite support (network activate)

##  2.876
* FIX: issue with invoices incorrectly being assigned "overdue" status
* FIX: issue with logs showing incorrect statuses
* FIX: issue with sending emails to multiple recipients
* FIX: issue with "return to invoice" link after payment
* FIX: minor PHP strict standards fix

##  2.875
* NEW: ability to change currency setting on per-invoice basis, and process payments for multiple currencies through the same gateway
* NEW: ability to customize "view online" button in email templates
* UPDATE: add additional translatable fields (when using Easy Translate Extension)
* FIX: minor CSS issue

##  2.874
* FIX: Compatibility issue with WP Slimstat plugin
* FIX: Timezone issue
* UPDATE: minor code cleanup, textual updates

##  2.873
* FIX: Quotes & Invoices not displaying in Admin Area when quote/invoice date contains non-English characters
* FIX: PayPal gateway issue with certain WooCommerce add-ons

##  2.872
* FIX: minor bug fixes

##  2.871
* FIX: issue with invalid links in automatic reminder emails
* FIX: minor sorting issue

##  2.87
* NEW: Ability to customize accepted quote message
* NEW: add support for qTranslate X (i18n multilingual)
* UPDATE: Compatibility update with Easy Translate Extension v1.1.5
* FIX: Quotes/invoices being assigned wrong status in some cases

##  2.861
* FIX: minor fix for legacy PHP 5.3 support

##  2.86
* UPDATE: Compatibility update with Easy Translate Extension v1.1.4
* UPDATE: Compatibility update with PDF & Emails Extension v1.2.5

##  2.85
* NEW: Ability to customize the declined quote message
* FIX: fix redirect and permissions issue when clients add comments to a quote
* FIX: minor fix for legacy PHP 5.3 support

##  2.84
* UPDATE: Compatibility update with Recurring Invoices Extension v2.1.4

##  2.83
* FIX: Issue with sorting users by Business Name
* FIX: Issue with 'Decline Quote' reason not being sent in admin notification

## 2.82 
* UPDATE: Include plugin updater class for extensions

### 2.81
* FIX: Set email content type to HTML only for our emails, and not sitewide. Previously causing issues with lost password plain text emails.

### 2.80
* UPDATE: Merged in slice-base-plugin-updater 
* FIX: Fix undefined variable id in payments
* FIX: Fix issue with Tax and Paypal. Tax was not being retrieved for individual invoices as there was no id sent
* FIX: Modify created date and ensure that there is never a dud date

### 2.72
* FIX: Error checking for Woo Invoices function if Woo Invoices not installed

### 2.71
* FIX: Quote number not incrementing properly - modify query that checks last number
* FIX: Don't escape output of invoice total
* UPDATE: Add a return to the invoice/quote total table if tied to a Woocommerce order
* UPDATE: Modify the check for payment methods
* NEW: Add DejaVu Sans Oblique fonts - for italics in PDF's

### 2.70
* UPDATE: Major code updates below - a huge thanks to Justin Sternberg of CMB2 fame!
* UPDATE: Update CMB2 to 2.2.1 
* UPDATE: Reset all CMB2 hacks 
* UPDATE: Lots of bug fixes, whitespace and code cleanups
* FIX: Error with activation errors not displaying

### 2.62
* FIX: Error with date format and localization

### 2.61
* FIX: Change to fixed date format in metaboxes to avoid localization errors
* FIX: Issue with published date not being set correctly if format is d/m/Y
* FIX: Issue with dropdowns not selecting correct option if doing quick edit

### 2.60
* NEW: Add Licenses section to settings pages
* UPDATE: Modify the cURL compatibility check
* UPDATE: Add integer checks to all timestamps
* UPDATE: General updates to date and timezone functions

### 2.50
* NEW: Compatible with WordPress 4.5
* NEW: Add filters for admin notifications
* NEW: Add return to invoice link after PayPal payment
* UPDATE: All timestamps now in local time
* UPDATE: Unpaid status link now includes Overdue invoices as well

### 2.40
* NEW: Add 'Bcc' option for all emails
* UPDATE: Major update and tidy up of notifications, mainly for recurring invoices extension
* UPDATE: Update CSS for recurring extension
* FIX: Issue of clearing fields when tabbing in line items
* FIX: Issue with payment methods and other meta not being added to invoice once client accepts the quote
* FIX: Issue with 'quote_sent' and 'invoice_sent' logs
* FIX: Add filter to stop Autoptimize plugin loading on quotes and invoices

### 2.36
* UPDATE: Rename metabox functions and methods to avoid plugin conflicts
* UPDATE: Add some styling & minor JS for Woocomerce and Recurring extensions

### 2.35
* FIX: Issue with auto incrementing numbers

### 2.34
* FIX: Error with PayPal payments and escaping the PayPal request URL

### 2.33
* UPDATE: Minor updates with styles and templates

### 2.32
* UPDATE: Minor updates with styles and templates

### 2.31
* FIX: Error with wrong tax amounts on payment page

### 2.30
* NEW: Allow multiple currency
* UPDATE: Lots and lots of minor UI tweaks
* UPDATE: Add new fields in quick edit
* FIX: Performance tweaks and updates
* FIX: PHP notices when no client name etc

### 2.25
* NEW: Add support for Fontawesome icon font on invoices and quotes
* NEW: Make default font on invoices and quotes DejaVuCondensed
* UPDATE: Minor code updates to deal with PHP7
* FIX: Fix typos in admin options
* FIX: Error with recurring invoices not recurring if prefix is blank

### 2.24
* FIX: Emails sending from default address

### 2.23
* NEW: Add commenting system for quotes
* NEW: Add new filter on inline CSS - for new template extension
* FIX: Error with button not displaying on emails
* FIX: Error with whitespace at top of emails

### 2.22
* FIX: Error with invoice and quote auto increment
* FIX: Error with new notifications adding slashes to content

### 2.21
* NEW: Add Romanian translation
* UPDATE: Add new wrapper divs around address template tags
* FIX: Error with invoice and quote text in activator being around the wrong way
* FIX: Add new log methods for invoice sent and quote sent

### 2.20
* UPDATE: Major update to emails and notifications.

### 2.18
* NEW: Minor enhancements and filters to allow new Client Area extension
* UPDATE: Default template style overhaul
* UPDATE: Change naming conventions of several filters
* UPDATE: Change several template tags to allow filtering
* UPDATE: Add Typography to Bootstrap css
* UPDATE: Make templates more responsive
* FIX: Add conditional to stop scripts loading on pages in admin
* FIX: Add conditional to stop quick edit scripts loading anywhere else but needed
* FIX: Minor admin style sheet changes

### 2.17
* FIX: Bug with tax calculations and showing Fatal error

### 2.16
* NEW: Add Tax field on individual invoices and quotes
* NEW: Filter for filename when exporting and saving PDF's
* NEW: Filter CSS templates
* NEW: Extra template added
* NEW: Template previews in settings
* FIX: Minor fixes for PDF extension
* FIX: Issue with quick edit saving as a scheduled post. Force published status

### 2.15
* NEW: Add description into pre-defined items
* FIX: Add decimal rounding to the 'raw' output template tags (mainly for PayPal)
* FIX: Issue with invoices being shown on front end archive pages

### 2.14
* NEW: Add notes section to quotes and invoices to show the history
* UPDATE: Add footer on admin pages
* UPDATE: Update .pot file
* FIX: Bug with datepicker
* FIX: Conflict adding clients when using Simple Lightbox Gallery plugin

### 2.13
* FIX: Major re-write of how different currencies are handled

### 2.12
* FIX: Error with amounts and rates being multiplied by 100
* UPDATE: Add new actions on front end and edit screens
* UPDATE: Minor code updates

### 2.11
* FIX: Error with reporting dates
* FIX: PHP notices when STRICT error reporting is on

### 2.10
* NEW: Add the ability to accept or decline quotes
* FIX: Make Cloudflare ignore jquery and thickbox scripts
* FIX: Tax calculations via javascript on the edit screens
* FIX: Lots of small bug fixes and minor code cleanups
* FIX: Allow global tax to have decimals

### 2.09
* UPDATE: Add dashicons to payment pages
* UPDATE: PayPal errors to show error code
* UPDATE: Various minor updataes to accomodate Woocommerce extension
* FIX: Escape a couple of URL's
* FIX: Issue with number format on Rate/Price field if over 999

### 2.08
* FIX: Issue with metaboxes not saving

### 2.07
* NEW: Add option for automatic quote Valid Until Date
* NEW: Add option for automatic invoice Due Date
* NEW: Add option to hide the Adjust field on quotes and invoices
* NEW: Add custom updated messages when quote or invoice is updated
* UPDATE: Change Business Name to Business/Client Name
* UPDATE: Tidy up UI for adding clients and make more consistent when adding and editing a user
* UPDATE: Add link and warning label if no payment methods active
* UPDATE: Remove select all button on payment methods
* UPDATE: Update Bootstrap CSS to include forms (to allow other gateways)
* FIX: PHP notice with getting last number of quote or invoice

### 2.06
* NEW: Add Tools page with system info
* NEW: Add CSV importer
* UPDATE: Add instructions to Add Client popup
* UPDATE: Add the word Settings to end of each settings page in menu
* UPDATE: Update the way PayPal image is added to payment popup (to allow other gateway images)
* UPDATE: Minor UI updates throughout
* FIX: Error with form submission checks in PayPal gateway (to allow other gateways)

### 2.05
* UPDATE: Tidy up template tags
* UPDATE: Add actions column
* FIX: Fix typos in admin options pages
* FIX: Error saving payment data on activiation

### 2.04
* NEW: Allow user to choose payment page via dropdown menu in settings
* UPDATE: Change version numbering format
* FIX: Headers already sent bug when making payment via PayPal
* FIX: Issue creating multiple payment pages on repeat activation

### 2.0.3
* FIX: Error with decimals in quantity field

### 2.0.2
* Update readme
* Update text in Extras sections
* Remove outline on logo link

### 2.0.1
* Update readme information

### 2.0.0
* Initial release at WordPress.org
